Subject: Confgure option like tagopt=note to notice changed remote tags

From: Alexander Holler <[email-masked]>
Date: Tue, 04 Mar 2014 16:42:54 +0100

Hello,

also I'm using git since a long time, I can't remember that I've noticed 
that git doesn't make a note or warning if remotes tags have changed.

E.g. what's often will be forgotten is to annotate tags before pushing 
them. The usual resolution is just to annotate them locally and push 
them again.

But such a change never ends up at people which already have fetched the 
tag (without them using git fetch -t). They even don't receive a notice 
which could remind them to use git fetch -t.

Unfortunately I'm not aware a lot about git internals, but would it be 
hard to make it configurable (tagopts comes into mind) that git outputs 
a warning if a remote tag and local tag do disagree about the commit, 
annotation or sign? I even would prefer such a warning as the default.

Regards,

Alexander Holler